toolzerhub API Docs

List list members

List the accounts that belong to an X list. Paginate with cursor and has_more. An unknown list ID returns data: null.

6 credits / requestBilled only on success
GET
/v1/x/list/members

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

list_id*string

Numeric list ID from the list's x.com/i/lists URL.

Match^\d{1,25}$
cursor?string

cursor from the previous response. Omit for the first page and send it unchanged for later pages.

Lengthlength <= 2000
curl -X GET "https://example.com/v1/x/list/members?list_id=1470954161587978244" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "members": [      {        "id": "34743251",        "handle": "SpaceX",        "name": "SpaceX",        "description": "SpaceX designs, manufactures and launches the world’s most advanced rockets and spacecraft",        "location": "Earth",        "website": "http://spacex.com",        "avatar_url": "https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/34743251/1681251194",        "followers_count": 41913384,        "following_count": 127,        "posts_count": 11888,        "media_count": 4739,        "likes_count": 529,        "is_verified": false,        "is_blue_verified": true,        "verified_type": "Business",        "protected": false,        "created_at": "2009-04-23T21:53:30.000Z",        "pinned_post_ids": [          "2104354931595423762"        ],        "is_automated": false      },      {        "id": "14091091",        "handle": "NASAHubble",        "name": "Hubble",        "description": "The official X account for the NASA Hubble Space Telescope, managed and operated by NASA's Goddard Space Flight Center.",        "location": "Goddard Space Flight Center",        "website": "http://www.nasa.gov/mission_pages/hubble/main/index.html",        "avatar_url": "https://pbs.twimg.com/profile_images/3468011581/efb985f24af0a814a722457a768f3cc5_normal.jpeg",        "banner_url": "https://pbs.twimg.com/profile_banners/14091091/1669391293",        "followers_count": 8897481,        "following_count": 44,        "posts_count": 8484,        "media_count": 3146,        "likes_count": 1243,        "is_verified": false,        "is_blue_verified": true,        "verified_type": "Government",        "protected": false,        "created_at": "2008-03-06T20:15:02.000Z",        "pinned_post_ids": [],        "is_automated": false      }    ],    "count": 2,    "cursor": "5947191889606537216|2111032633176621034",    "has_more": true  }}